Bug 87457 - Informix IDS-9.30.UC2 unable to start after "RPC security fix"
Summary: Informix IDS-9.30.UC2 unable to start after "RPC security fix"
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-27 02:18 UTC by Ronald Cole
Modified: 2016-11-24 15:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 05:56:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ronald Cole 2003-03-27 02:18:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
/opt/informix/bin/oninit will create two shared memory segments and a semaphore
and then exit with error "1" after updating glibc-2.2.93-5 to glibc-2.3.2-4.80.

Perhaps it would be prudent in the future to not foist an obviously untested
glibc version on an unsuspecting crowd.  Is there any valid reason why the RPC
security fix couldn't have been backported to glibc-2.2.93 in order to update
RHL8.0?  How long are we going to have to wait with down databases until Red Hat
figures out what's broken in glibc-2.3.2-4.80?

Are we expected to roll back to RHL7.3 and hope that Red Hat gets the problem
resolved before product end-of-life?

Version-Release number of selected component (if applicable):
glibc-2.3.2-4.80

How reproducible:
Always

Steps to Reproduce:
1. 'onmode -ky' on a stock RHL8.0 with a functional IDS database
2. 'up2date -u' to apply the "RPC security fix"
3. 'oninit' will no longer start the database (aka "dead in the water")
    

Additional info:

Comment 1 Ronald Cole 2003-03-27 21:43:59 UTC
I believe this to be the same bug as #87480.  I'll let you guys change the
status if you agree.

Comment 2 Jakub Jelinek 2003-03-29 08:46:24 UTC
Can you please try ftp://people.redhat.com/jakub/glibc/errata/8.0/*4.80.3* ?

Comment 3 Ronald Cole 2003-04-01 01:15:32 UTC
Works for me!  Thanks...

Comment 4 Ulrich Drepper 2003-04-22 05:56:33 UTC
Reportedly fixed in the current code.


Note You need to log in before you can comment on or make changes to this bug.